Package com.mapd.thrift.server

## Class TRenderDatum

- java.lang.Object
- - com.mapd.thrift.server.TRenderDatum

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TRenderDatum>`, `org.apache.thrift.TBase<TRenderDatum,​TRenderDatum._Fields>`, `org.apache.thrift.TSerializable`

    public class TRenderDatum
    extends Object
    implements org.apache.thrift.TBase<TRenderDatum,​TRenderDatum._Fields>, Serializable, Cloneable, Comparable<TRenderDatum>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TRenderDatum._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`int` `cnt`
`static Map<TRenderDatum._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`TDatumType` `type`
`ByteBuffer` `value`

### Constructor Summary

Constructors
`TRenderDatum()`
`TRenderDatum​(TDatumType type, int cnt, ByteBuffer value)`
`TRenderDatum​(TRenderDatum other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`ByteBuffer` `bufferForValue()`
`void` `clear()`
`int` `compareTo​(TRenderDatum other)`
`TRenderDatum` `deepCopy()`
`boolean` `equals​(TRenderDatum that)`
`boolean` `equals​(Object that)`
`TRenderDatum._Fields` `fieldForId​(int fieldId)`
`int` `getCnt()`
`Object` `getFieldValue​(TRenderDatum._Fields field)`
`TDatumType` `getType()`
`byte[]` `getValue()`
`int` `hashCode()`
`boolean` `isSet​(TRenderDatum._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetCnt()` Returns true if field cnt is set (has been assigned a value) and false otherwise
`boolean` `isSetType()` Returns true if field type is set (has been assigned a value) and false otherwise
`boolean` `isSetValue()` Returns true if field value is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TRenderDatum` `setCnt​(int cnt)`
`void` `setCntIsSet​(boolean value)`
`void` `setFieldValue​(TRenderDatum._Fields field, Object value)`
`TRenderDatum` `setType​(TDatumType type)`
`void` `setTypeIsSet​(boolean value)`
`TRenderDatum` `setValue​(byte[] value)`
`TRenderDatum` `setValue​(ByteBuffer value)`
`void` `setValueIsSet​(boolean value)`
`String` `toString()`
`void` `unsetCnt()`
`void` `unsetType()`
`void` `unsetValue()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### type

    public TDatumType type

See Also:
  `TDatumType`

#### cnt

    public int cnt

#### value

    public ByteBuffer value

#### metaDataMap

    public static final Map<TRenderDatum._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TRenderDatum

    public TRenderDatum()

#### TRenderDatum

    public TRenderDatum​(TDatumType type,
                        int cnt,
                        ByteBuffer value)

#### TRenderDatum

    public TRenderDatum​(TRenderDatum other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TRenderDatum deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TRenderDatum,​TRenderDatum._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TRenderDatum,​TRenderDatum._Fields>`

#### getType

    public TDatumType getType()

See Also:
  `TDatumType`

#### setType

    public TRenderDatum setType​(TDatumType type)

See Also:
  `TDatumType`

#### unsetType

    public void unsetType()

#### isSetType

    public boolean isSetType()

Returns true if field type is set (has been assigned a value) and false otherwise

#### setTypeIsSet

    public void setTypeIsSet​(boolean value)

#### getCnt

    public int getCnt()

#### setCnt

    public TRenderDatum setCnt​(int cnt)

#### unsetCnt

    public void unsetCnt()

#### isSetCnt

    public boolean isSetCnt()

Returns true if field cnt is set (has been assigned a value) and false otherwise

#### setCntIsSet

    public void setCntIsSet​(boolean value)

#### getValue

    public byte[] getValue()

#### bufferForValue

    public ByteBuffer bufferForValue()

#### setValue

    public TRenderDatum setValue​(byte[] value)

#### setValue

    public TRenderDatum setValue​(ByteBuffer value)

#### unsetValue

    public void unsetValue()

#### isSetValue

    public boolean isSetValue()

Returns true if field value is set (has been assigned a value) and false otherwise

#### setValueIsSet

    public void setValueIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TRenderDatum._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TRenderDatum,​TRenderDatum._Fields>`

#### getFieldValue

    public Object getFieldValue​(TRenderDatum._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TRenderDatum,​TRenderDatum._Fields>`

#### isSet

    public boolean isSet​(TRenderDatum._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TRenderDatum,​TRenderDatum._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TRenderDatum that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TRenderDatum other)

Specified by:
  `compareTo` in interface `Comparable<TRenderDatum>`

#### fieldForId

    public TRenderDatum._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TRenderDatum,​TRenderDatum._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`